# Generated by Django 3.0.6 on 2021-04-11 20:07

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('partida', '0002_concepto_subpartida'),
    ]

    operations = [
        migrations.CreateModel(
            name='Proveedor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('empresa', models.CharField(max_length=90, verbose_name='Empresa')),
                ('r_social', models.CharField(max_length=90, verbose_name='Razón social')),
                ('rfc', models.CharField(max_length=14, verbose_name='RFC')),
                ('regimen_fisc', models.CharField(max_length=90, verbose_name='Regimen fiscal')),
                ('contacto', models.CharField(max_length=90, verbose_name='Contacto')),
                ('email', models.CharField(max_length=90, verbose_name='Email')),
                ('phone', models.CharField(max_length=90, verbose_name='Teléfono')),
                ('codigo_p', models.CharField(max_length=5, verbose_name='Código postal')),
                ('address', models.CharField(max_length=200, verbose_name='Dirección')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creación')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Fecha de edición')),
            ],
            options={
                'verbose_name': 'proveedor',
                'verbose_name_plural': 'proveedores',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='Requisitador',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Nombre')),
                ('apat', models.CharField(max_length=200, verbose_name='Apellido Paterno')),
                ('amat', models.CharField(max_length=200, verbose_name='Apellido Materno')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creación')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Fecha de edición')),
            ],
            options={
                'verbose_name': 'Requisitador',
                'verbose_name_plural': 'Requisitadores',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='SupervObra',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Nombre')),
                ('apat', models.CharField(max_length=200, verbose_name='Apellido Paterno')),
                ('amat', models.CharField(max_length=200, verbose_name='Apellido Materno')),
                ('tipo', models.CharField(max_length=200, verbose_name='Tipo de supervisor')),
                ('estatus_id', models.SmallIntegerField(default=0, verbose_name='Estatus')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creación')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Fecha de edición')),
            ],
            options={
                'verbose_name': 'Supervisor',
                'verbose_name_plural': 'Supervisoras',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='Obra',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name_obra', models.CharField(max_length=200, verbose_name='Nombre de obra')),
                ('type_obra', models.CharField(max_length=200, verbose_name='Tipo de obra')),
                ('estatus_id', models.SmallIntegerField(default=0, verbose_name='Estatus')),
                ('state', models.CharField(max_length=200, verbose_name='Estado')),
                ('town', models.CharField(max_length=200, verbose_name='Municipio')),
                ('address', models.CharField(max_length=200, verbose_name='Dirección')),
                ('clave', models.CharField(max_length=200, verbose_name='Clave')),
                ('f_inicio', models.DateField(verbose_name='Fecha de inicio')),
                ('f_fin', models.DateField(verbose_name='Fecha de fin')),
                ('monto_p', models.CharField(max_length=200, verbose_name='Monto de presupuesto')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creación')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Fecha de edición')),
                ('supervisor_id', models.ManyToManyField(to='partida.SupervObra', verbose_name='Supervisor')),
            ],
            options={
                'verbose_name': 'Obra',
                'verbose_name_plural': 'Obras',
                'ordering': ['-created'],
            },
        ),
    ]
